My Project: dgJacobianMatrixElement Class Reference

My Project

Public Attributes | List of all members
dgJacobianMatrixElement Class Reference

`#include <dgWorldDynamicUpdate.h>`

## Public Attributes

dgJacobianPair | m_Jt
dgFloat32 | m_force
dgFloat32 | m_accel
dgFloat32 | m_deltaAccel
dgFloat32 | m_deltaForce
dgFloat32 | m_diagDamp
dgFloat32 | m_invDJMinvJt
dgFloat32 | m_restitution
dgFloat32 | m_penetration
dgFloat32 | m_coordenateAccel
dgFloat32 | m_penetrationStiffness
dgFloat32 | m_lowerBoundFrictionCoefficent
dgFloat32 | m_upperBoundFrictionCoefficent
dgFloat32 | m_maxImpact
dgForceImpactPair * | m_jointFeebackForce
dgInt32 | m_normalForceIndex
bool | m_accelIsMotor

## Member Data Documentation

## § m_accel

dgFloat32 dgJacobianMatrixElement::m_accel

## § m_accelIsMotor

bool dgJacobianMatrixElement::m_accelIsMotor

## § m_coordenateAccel

dgFloat32 dgJacobianMatrixElement::m_coordenateAccel

## § m_deltaAccel

dgFloat32 dgJacobianMatrixElement::m_deltaAccel

## § m_deltaForce

dgFloat32 dgJacobianMatrixElement::m_deltaForce

## § m_diagDamp

dgFloat32 dgJacobianMatrixElement::m_diagDamp

## § m_force

dgFloat32 dgJacobianMatrixElement::m_force

## § m_invDJMinvJt

dgFloat32 dgJacobianMatrixElement::m_invDJMinvJt

## § m_jointFeebackForce

dgForceImpactPair* dgJacobianMatrixElement::m_jointFeebackForce

## § m_Jt

dgJacobianPair dgJacobianMatrixElement::m_Jt

## § m_lowerBoundFrictionCoefficent

dgFloat32 dgJacobianMatrixElement::m_lowerBoundFrictionCoefficent

## § m_maxImpact

dgFloat32 dgJacobianMatrixElement::m_maxImpact

## § m_normalForceIndex

dgInt32 dgJacobianMatrixElement::m_normalForceIndex

## § m_penetration

dgFloat32 dgJacobianMatrixElement::m_penetration

## § m_penetrationStiffness

dgFloat32 dgJacobianMatrixElement::m_penetrationStiffness

## § m_restitution

dgFloat32 dgJacobianMatrixElement::m_restitution

## § m_upperBoundFrictionCoefficent

dgFloat32 dgJacobianMatrixElement::m_upperBoundFrictionCoefficent

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgWorldDynamicUpdate.h